Attribute VB_Name = "GetStarted"
'==============================================================================
'
' Project:  MindStorms explanatory demo project
' Unit   :  Global module
' Rev.   :  1.0
'
'------------------------------------------------------------------------------
'
' Declaration of global names for sensors, tasks, subroutines, timers, varia-
' bels and constants.
'
'                        !!! IMPORTANT NOTICE - WARNING !!!
'
' It is the responsibility of the application programmer to allocate the program,
' subroutine, task and variable numbers without overlap in the individual prograPBrickCtrl.
'
'==============================================================================

Option Explicit

'==============================================================================
' Program names
'
'   Syntax: <descriptive name>Prog
'   Range: 0 to 4
'==============================================================================

Public Const MotorControl = 0

'==============================================================================
' Task names
'
'   Syntax: <descriptive name>Task
'   Range: 0 to 9 (RCX), 0 to 3 (CyberMaster)
'==============================================================================

Public Const MotorOnOff = 0

'==============================================================================
' Subroutine names
'
'   Syntax: <descriptive name>Sub
'   Range: 0 to 7 (RCX), 0 to 3 (CyberMaster)
'==============================================================================

Public Const NiceAndHandySub = 0
Public Const UsefulAndSmallSub = 1 ' and so on


'==============================================================================
' Sensor names
'
' Syntax: s<descriptive name>
'==============================================================================

'Public Const sStoPButton = SENSOR_1
'Public Const sSearchLight = SENSOR_2


'==============================================================================
' Output/motor names
'
' Syntax: o<descriptive name> || m<descriptive name>
'==============================================================================

'Public Const oBlink = OUTPUT_A
'Public Const mForward = OUTPUT_B


'==============================================================================
' Timer names
'
' Syntax: t<descriptive name>
'==============================================================================

'Public Const tDrum = TIMER_1
'Public Const tStick = TIMER_2 ' and so on


'==============================================================================
' Variable names
'
' Syntax: v<descriptive name>
'==============================================================================

'Public Const vLeftTreshold = 0
'Public Const vRightTreshold = 1

'==============================================================================
' Constant declarations
'
' Syntax: k<descriptive name>
'==============================================================================

Public Const kForever = 0
'Public Const kTresholdOffset = 50

'------------------------------------------------------------------------------
' Logical constants
'------------------------------------------------------------------------------
Public Const kFalse = 0
Public Const kTrue = 1

'------------------------------------------------------------------------------
' Motor control constants
'------------------------------------------------------------------------------
Public Const kOff = 0
Public Const kOn = 1
Public Const kFullSpeed = 7

'------------------------------------------------------------------------------
' Your own stuff
'------------------------------------------------------------------------------
Public Const kFirm = 0
Public Const kFixed = 1
' and so on

